import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Contact } from "../models/contact.model";

@Injectable({ providedIn: 'root' })
export class ContactService {

    constructor(private http: HttpClient) { }
    url: string = "http://915e-49-0-64-28.ngrok.io";
    listContact: Contact[] = []

    addContact(model: Contact) {
        this.listContact.push(model);
        this.listContact.reverse
    }

    updateContact(row_obj: Contact) {
        this.listContact = this.listContact.filter((value, key) => {
            if (value.id === row_obj.id) {
                value = row_obj;
            }
            return true;
        });
    }

    getListContact(): Observable<Contact[]> {
        return this.http.get<Contact[]>(this.url + "/contact/lists");
    }
}

